-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
--select * from [C6MartPeriodicoImmobiliare].[ASSETCLASS_TERZI]  
--[C6MartPeriodicoImmobiliare].[DM_ASSETCLASS_TERZI]  
CREATE procedure [C6MartPeriodicoImmobiliare].[RP_DM_ASSETCLASS_TERZI]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 DECLARE @ID_ELAB INT  
 DECLARE @TIPO_ELAB VARCHAR(1)  
 SET @ID_ELAB = C6MartPeriodico.GETIDELAB()  
 SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_ASSETCLASS_TERZI',  
  GETDATE(),  
  'Elaborazione trimestrale Immobiliare'  
 )  
 TRUNCATE TABLE C6MartPeriodicoImmobiliare.ASSETCLASS_TERZI  
 INSERT INTO [C6MartPeriodicoImmobiliare].[ASSETCLASS_TERZI]  
     ([ID_ASSETCLASS]  
     ,[COD_ISIN]  
     ,[COD_MAF]  
     ,[COD_ADEGUATEZZA]  
     ,[ID_ELAB]  
     ,[TIPO_ELAB])  
 SELECT   
  B.CODICE_ASSET_CLASS_INGRESSO,  
  B.CODICE_ISIN,  
  B.CODICE_MAF,  
  ISNULL(B.CODICE_ADEGUATEZZA,'$'),  
  @ID_ELAB AS ID_ELAB,  
  @TIPO_ELAB AS TIPO_ELAB  
 FROM   
 C6StagingPeriodicoImmobiliare.RP_REP_ASSET_1_E_2_ORDINATE B  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_ASSETCLASS_TERZI' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_DM_ASSETCLASS_TERZI'  
  )  
END